'''Created on 3 Feb 2023 @author: vnc-console'''

import requests


class Smslink():
    #  HTTPS API Endpoint:  https://secure.smslink.ro/sms/gateway/communicate/index.php
    #  HTTP API Endpoint:   http://www.smslink.ro/sms/gateway/communicate/index.php
        #
        #  Get your SMSLink / SMS Gateway Connection ID and Password from 
        #  https://www.smslink.ro/get-api-key/
        #
    URL = 'https://secure.smslink.ro/sms/gateway/communicate/index.php'
    HEADERS= {}
    def __init__(self, connectionid: str, password: str, to: str=None, querystring: str=None):
        
        self._connectionid = connectionid
        self._password = password
        if to:
            self._to = to
        else:
            self._to = '0730690044'
        self._message = ''
        if querystring:
            self._querystring = querystring
        else:
            self._querystring = {
          'connection_id': '{}'.format(self._connectionid),
          'password': '{}'.format(self._password),
          'to':'{}'.format(self._to),
          'message':'{}'.format(self._message)
        }
    
    @property
    def to(self):
        return self._to
    
    @to.setter
    def to(self, value):
        self._to = value
        self._querystring['to'] = self._to
    
    @property
    def message(self):
        return self._message
    
    @message.setter
    def message(self, value):
        self._message = value
        self._querystring['message'] = self._message
        return self._message
    
    def send(self):
        # self._message = message
        return requests.get(self.URL, headers=self.HEADERS, params=self._querystring)


if __name__ == '__main__':
    sms = Smslink('yourconnectionid', 'yourpassword')
    sms.message = 'My Test Message\n2nd row'
    print(sms._querystring)
    resp = sms.send()
    print(resp.text)

